@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700;900&display=swap');


* {
    font-family: 'Lato', sans-serif;
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
}

html {
    overflow-x: hidden;
}


/*nav*/
nav {
    background-color: #f8f9fa;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 0 3rem;
    position: sticky;
    top: 0;
    z-index: 999;
    box-shadow: 1px 5px 10px rgba(0, 0, 0, 0.301);
}

nav p {
    color: #242424;
    font-size: 1.3rem;
    letter-spacing: .1rem;
    text-transform: uppercase;
}

.burger {
    background-color: rgba(255, 255, 255, 0);
    border: 1px solid rgba(255, 255, 255, 0);
    cursor: pointer;
    display: none;
    font-size: 2.2rem;
    position: relative;
    padding: 0;
    outline: none;
    height: 3rem;
    width: 3rem;

}

.burger:active {
    outline: none;
}

.burger .bar {
    background-color: #242424;
    position: absolute;
    left: 20px;
    transform: translate(-50%, -50%) rotate(0deg);
    height: 3px;
    width: 20px;
    transition: transform 0.2s ease;
}

.burger .bar:first-of-type {
    top: 40%;
}

.burger .bar:last-of-type {
    top: 60%;
}

nav ul {
    display: flex;
    margin: 0;
    padding: 0;
}

nav ul li {
    margin: 0 10px;
    padding: 1rem .3rem;
}

nav a {
    color: #242424;
    position: relative;
    font-size: 1rem;
}

nav ul li:hover {
    background-color: #ff9f68;
    transition: ease .3s;
    color: #f8f9fa;
}

@media (max-width: 1000px) {
    nav {
        padding: 0;
    }

    nav p {
        margin-left: 5px;
    }

    .burger {
        display: block;
    }

    .burger.show-x .bar:first-of-type {
        transform: translate(-50%, 50%) rotate(225deg);
    }

    .burger.show-x .bar:last-of-type {
        transform: translate(-50%, -150%) rotate(-225deg);
    }

    nav ul {
        background-color: #f8f9fa;
        box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
        flex-direction: column;
        text-align: center;
        position: fixed;
        top: 80px;
        left: 10%;
        transform: translateX(120%);
        width: 80%;
        transition: transform 0.3s ease-in;
        z-index: 100;
    }

    nav ul.show {
        transform: translateX(0);
        background-color: #f8f9fa;
    }

    nav ul li {
        margin: 15px;
    }
}

/*end nav*/

/* Landing Page */
.land {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.content-land {
    min-height: 70vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(../img/land-lucegas.jpg);
    background-size: cover;
    background-position: center;
}

.container-land {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 70vh;
    padding: 2rem;
    text-align: center;
    color: white;
}

.container-land img {
    width: 250px;
    margin-bottom: 2rem;
}

h1 {
    font-size: 3.5rem;
    letter-spacing: 2px;
}

.land p {
    margin-top: 1rem;
}

.subtitle {
    font-size: 1rem;
    margin-bottom: 2rem;
    opacity: 0.9;
}

.land .buttons {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

.land button {
    padding: 1rem 2rem;
    font-size: 1.1rem;
    cursor: pointer;
    border-radius: 5px;
}

.btn-land {
    background-color: #f8f9fa;
    color: rgb(24, 24, 24);
}

button:hover {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.062);
    background-color: #ff9f68;
    color: white;
    transition: ease .3s;
}

@media (max-width: 768px) {
    .container-land {
        padding: 1rem;
    }

    h1 {
        font-size: 2.5rem;
        letter-spacing: 1px;
    }

    .land p {
        margin-top: .5rem;
        padding: .3rem;
    }

    .container-land img {
        width: 150px;
    }

    .subtitle {
        font-size: 1rem;
    }

    .land button {
        padding: 0.75rem 1.5rem;
        font-size: 1rem;
    }

    .land .buttons {
        margin-top: .5rem;
        gap: 2rem;
        flex-direction: column;
    }
}

/* End Landing Page */

/* info */
.about-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem;
}

.about-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    margin-top: 2rem;
}

.about-image img {
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.about-content h2 {
    margin-bottom: 1rem;
    color: #333;
}

.about-content p {
    line-height: 1.5;
    color: #383838;
}

.about-image:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}

@media (max-width: 768px) {
    .about-grid {
        grid-template-columns: 1fr;

    }

    .about-image img {
        width: 100%;
        object-fit: cover;
        border-radius: 10px;
    }

    .about-image:hover {
        transform: scale(1);
    }
}

/* end info */

/* form */

#form {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 3.5rem 0;
}

.form-container {
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.form-container h2 {
    margin-bottom: 20px;
    text-align: center;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="text"],
input[type="email"],
input[type="tel"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-sizing: border-box;
}

textarea {
    resize: vertical;
    min-height: 100px;
}

.form-group.checkbox {
    display: flex;
    align-items: center;
}

.form-group.checkbox input {
    width: auto;
    margin-right: 10px;
}

button[type="submit"] {
    background-color: #f8f9fa;
    border: 1px solid #ff9f68;
    color: #ff9f68;
    padding: 12px;
    border-radius: 6px;
    width: 100%;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button[type="submit"]:hover {
    background-color: #ff9f68;
    color: white;
}


@media(max-width:767px) {
    #form {
        padding: 1rem;
    }

    .form-container h2 {
        font-size: 15px;
        margin-bottom: 2rem;
    }

    label {
        font-size: 80%;
    }
}

/* end form */

/* footer */
#footer {
    background-color: #242424;
    color: white;

}

.social img {
    max-width: 200px;
}

.container-footer {
    display: flex;
    flex-direction: column;
}

.social {
    text-align: center;
    justify-items: center;
}

.social ul li {
    margin: 2rem 0;
    text-align: left;
}

.social p,
.social a {
    color: white;
}

.social a:hover {
    color: #ff9f68;
}

.social i {
    margin-right: 10px;
    margin-bottom: 1.5rem;
}

.copyright {
    text-align: center;
    font-size: 12px;
    background-color: white;
    color: #242424;
}

@media(max-width:767px) {

    .container-footer {
        flex-direction: column;

    }

    .social ul li {
        margin-bottom: 2rem;
        text-align: left;
    }
}

/* end footer */